package com.mosty.wzzx.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.mosty.base.model.entity.wzzx.TbWzRywz;
import com.mosty.base.model.query.wzzx.TbWzRywzSearchDto;
import io.swagger.annotations.ApiOperation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

/**
 * <p>
 * 位置-人员位置表 Mapper 接口
 * </p>
 *
 * @author zengbo
 * @since 2022-08-29
 */
@Mapper
public interface TbWzRywzMapper extends BaseMapper<TbWzRywz> {

    @ApiOperation("添加人员位置信息")
    int insertEntity(TbWzRywz tbWzRywz);

    @ApiOperation("修改盘查车辆对象")
    void updateEntity(TbWzRywz tbWzRywz);

    TbWzRywz queryBySfzh(@Param("yhSfzh") String yhSfzh);

    @ApiOperation("查询人员位置信息")
    TbWzRywz selectBySfz(TbWzRywzSearchDto dto);

    @ApiOperation("去重人员数量统计")
    int getRysltjCount(@Param("kssj") String kssj,
                       @Param("jssj") String jssj,
                       @Param("useSql") String useSql);
}
